%define name ironpython
%define oname IronPython
%define version 1.0
%define release %mkrel 1
%define fversion %version-Src
%define ipydir %_prefix/lib/%name

Summary: Python for .NET/Mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://go-mono.com/sources/ironpython/%{oname}-%{fversion}.tar.bz2
License: Shared Source License for IronPython
Group: Development/Python
Url: http://www.codeplex.com/Wiki/View.aspx?ProjectName=IronPython
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
Requires: mono

%description
IronPython is the code name of the new implementation of the Python
programming language running on .NET. It supports an interactive
console with fully dynamic compilation. It is well integrated with the
rest of the .NET Framework and makes all .NET libraries easily
available to Python programmers, while maintaining full compatibility
with the Python language.



%prep
%setup -q -n %oname-%version
mkdir Src/IronPythonTest/bin
rm -f *.exe *.dll

%build
cd Src
make CSC=gmcs

#%check
#cd Src/Tests
#for script in test_*; do
#  mono ../../ipy.exe $script
#done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%ipydir
cp *.exe *.dll %buildroot%ipydir
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/ipy << EOF
#!/bin/sh
%_bindir/mono %ipydir/ipy.exe "\$@"
EOF
cat > %buildroot%_bindir/ipyw << EOF
#!/bin/sh
%_bindir/mono %ipydir/ipyw.exe "\$@"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.html Doc
%attr(755,root,root) %_bindir/*
%ipydir/

%changelog
* Wed Sep  6 2006 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.0
- 1.0 final

* Thu Aug 17 2006 Götz Waschk <waschk@mandriva.org> 1.0-0.Beta9.2mdv2007.0
- fix startup scripts

* Fri Jul 28 2006 Götz Waschk <waschk@mandriva.org> 1.0-0.Beta9.1mdv2007.0
- initial package
